
@import "../../../dx-styles.scss";
@import "../../../themes/generated/variables.base.scss";

:host {
  flex: 0 0 auto;
  z-index: 1;
  box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12), 0 1px 2px rgba(0, 0, 0, 0.24);

  ::ng-deep .dx-toolbar .dx-toolbar-item.menu-button>.dx-toolbar-item-content .dx-icon {
    color: $base-accent;
    width: calc( 21px * var(--isCompact) + 24px * (1 - var(--isCompact)));
    height: calc( 21px * var(--isCompact) + 24px * (1 - var(--isCompact)));
    font-size: calc( 21px * var(--isCompact) + 24px * (1 - var(--isCompact)));
    margin-top: calc( 5px * var(--isCompact) + 0px * (1 - var(--isCompact)));
  }
}

::ng-deep .header-toolbar.dx-toolbar{
  background-color: #b1e3f1;
}

::ng-deep .dx-toolbar.header-toolbar .dx-toolbar-items-container .dx-toolbar-after {
  padding: 0 40px;

  :host-context(.screen-x-small) & {
    padding: 0 20px;
  }
}

::ng-deep .dx-toolbar .dx-toolbar-item.menu-button {
  width: $side-panel-min-width;
  text-align: center;
  padding: 0;
}
::ng-deep .dx-toolbar .dx-toolbar-item.menu-button.right-icon {
  width: 36px;
}

::ng-deep .header-title .dx-item-content {
  padding: 0;
  margin: 0;
}

:host-context(.dx-theme-generic) {
  .dx-toolbar {
    padding: 10px 0;
  }

  .user-button>.dx-button-content {
    padding: 3px;
  }
}
::ng-deep .dx-toolbar .symbol-text:hover + div#user-options, #user-options:hover{
  background-color: #2d6873;
  // background: #3895a9;
}
::ng-deep .dx-toolbar .symbol-text {
  text-align: center;
  margin: 0;
  font-size: calc( 16px * var(--isCompact) + 18px * (1 - var(--isCompact)));
  font-weight: 500;
  cursor: pointer;
}
::ng-deep #company-options{
  background-color: #72c3da;
  vertical-align: middle;
  line-height: calc( 12px * var(--isCompact) + 21px * (1 - var(--isCompact)));
  
  padding: 9px 10px;
  border-radius: 5px;
  cursor: pointer;
  p{
    margin:0;
    color: rgba(0,0,0, 0.54);
  }
}



::ng-deep .dx-toolbar #user-options{

  width:  calc( 28px * var(--isCompact) + 36px * (1 - var(--isCompact)));
  height: calc( 28px * var(--isCompact) + 36px * (1 - var(--isCompact)));
  background: #1aa1bd;
  border-radius: 40px;
  display: inline-block;
  color: white;
  padding: calc(2px * var(--isCompact) + 7px * (1 - var(--isCompact))) calc(3px * var(--isCompact) + 4px * (1 - var(--isCompact)));
  vertical-align: middle;
  margin: 5px 7px;
}

::ng-deep .dx-popover-wrapper.submenu-popover .dx-popup-content{
  padding:0;
}
::ng-deep .border-top{
  border-top: 1px solid #777;
}

::ng-deep .border-bottom{
  border-bottom: 1px solid rgb(138, 138, 138);
}